Webhooks

Get Webhook

Get one webhook, including its signing secret.

GET
/api/v1/webhooks/{webhookId}

Get one webhook, including its signing secret. Use it to read back the secret you need to verify deliveries.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

webhookId*string

The ID of the webhook to retrieve

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/webhooks/string"
{  "success": true,  "webhook": {    "id": "wh_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "teamId": "team_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "companyId": null,    "url": "https://example.com/hooks/recommand",    "secret": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}